%define name edos-testrunner
%define version 1.0.4beta
%define release %mkrel 4

%define _unpackaged_files_terminate_build	0
%define _missing_doc_files_terminate_build	0

Summary:	The EDOS Meta Test Runner
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.edos-project.org
License:	GPL
Group:		Development/Python
Source0:	http://www.edos-project.org/releases/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Packager:       Francois Dechelle <fdechelle@mandriva.com>
%py_requires -d
Requires:	python-pyxml
Requires:	python-rpm
Requires:	zip

%description
A test runner that can run any test suite and make reports to an HTTP server,
developped by the EDOS project.

%prep
%setup -q -n %{name}-%{version}

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --prefix=%{buildroot} --install-scripts=%{buildroot}/usr/bin --install-lib=%{buildroot}/%python_sitelib
# Remove unpackage egg-info file
rm -rf %{buildroot}/%python_sitelib/edos_testrunner*.egg-info

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README config/edos-testrunner.cfg.sample tests/test-basic.xml
%python_sitelib/edostestrunner/*.py
%python_sitelib/edostestrunner/*.pyc
%_bindir/edos-runtest



%changelog
* Sat Jan 24 2009 Funda Wang <fundawang@mandriva.org> 1.0.4beta-4mdv2009.0
+ Revision: 333260
- bump rel

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + François Déchelle <fdechelle@mandriva.org>
    - * I messed up the release number

* Thu May 24 2007 François Déchelle <fdechelle@mandriva.org> 1.0.4beta-4mdv2008.0
+ Revision: 30676
- * fixed utf8 problem

* Thu May 10 2007 François Déchelle <fdechelle@mandriva.org> 1.0.3beta-4mdv2008.0
+ Revision: 26077
- changed requires and buildrequires to use %%py_requires

* Thu May 10 2007 François Déchelle <fdechelle@mandriva.org> 1.0.3beta-3mdv2008.0
+ Revision: 26054
- Fixing 64bits build problem
- Commited first package of edos-testrunner
- builds with iurt
- Create edos-testrunner

